import { Rdl } from '@grapecity/activereports/core';
import * as ArViewerNs from '@grapecity/activereports/reportviewer';
import { ViewerProps } from './types';
declare const _default: import("vue").DefineComponent<__VLS_TypePropsToRuntimeProps<ViewerProps>, {
    open(report: string | Rdl.Report, settings?: Partial<ArViewerNs.ReportSettings> | undefined): Promise<ArViewerNs.LoadResult>;
    export(format: string, settings: Record<string, string | number | boolean>, params?: {
        cancel?: (() => boolean) | undefined;
    } | undefined): Promise<ArViewerNs.ExportResult>;
    resetDocument(): Promise<void>;
    print(): void;
    Viewer(): ArViewerNs.Viewer;
    currentPage(): number;
    pageCount(): number;
    history(): ArViewerNs.HistoryApi;
    toolbar(): ArViewerNs.Toolbar;
    goToFirstPage(): void;
    goToPrevPage(): void;
    goToNextPage(): void;
    goToLastPage(): void;
    goToPage(pageNumber: number): void;
    backToParent(): void;
    refresh(): void;
    canBackToParent(): boolean;
    registerFont(...fonts: ArViewerNs.FontDescriptor[]): void;
    search(options: ArViewerNs.SearchOptions, resultFn: (result: ArViewerNs.SearchResult) => void, progressFn?: ((progress: {
        pageIndex: number;
        pageCount: number | null;
    }) => void) | undefined, cancel?: ArViewerNs.CancellationToken | undefined): Promise<ArViewerNs.SearchStatus>;
    highlight(result: ArViewerNs.SearchResult | null): Promise<void>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "report-loaded": (...args: any[]) => void;
    "document-loaded": (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<__VLS_TypePropsToRuntimeProps<ViewerProps>>> & {
    "onReport-loaded"?: ((...args: any[]) => any) | undefined;
    "onDocument-loaded"?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _default;
declare type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
declare type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
